/**
* DevExtreme (ui/switch.d.ts)
* Version: 18.2.17
* Build date: Wed Apr 27 2022
*
* Copyright (c) 2012 - 2022 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import DevExpress from '../bundles/dx.all';

declare global {
interface JQuery {
    dxSwitch(): JQuery;
    dxSwitch(options: "instance"): DevExpress.ui.dxSwitch;
    dxSwitch(options: string): any;
    dxSwitch(options: string, ...params: any[]): any;
    dxSwitch(options: DevExpress.ui.dxSwitchOptions): JQuery;
}
}
export default DevExpress.ui.dxSwitch;
export type Options = DevExpress.ui.dxSwitchOptions;

/** @deprecated use Options instead */
export type IOptions = DevExpress.ui.dxSwitchOptions;